[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'gettext' (#fcl)

# GetLanguageIDs

Return the current language IDs

## Declaration

Source position: gettext.pp line 72

`procedure GetLanguageIDs(`
`var Lang: String;`
`var FallbackLang: String`
`);`

## Arguments

`Lang` |  | Primary language
`FallbackLang` |  | Secondary language

## Description

GetLanguageIDs returns the current language IDs (an ISO string) as returned by the operating system. On windows, the GetUserDefaultLCID and GetLocaleInfo calls are used. On other operating systems, the LC_ALL, LC_MESSAGES or LANG environment variables are examined.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.